Subject: [Mip4] Questions on draft-gundavelli-mip4-multiple-tunnel-support-00

From: Hui Deng <[email-masked]>
Date: Thu, 22 Jan 2009 18:52:41 +0800

--
Mip4 mailing list: [email-masked]
    Web interface: https://www.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/

---

From: Behcet Sarikaya <[email-masked]>
Date: Fri, 23 Jan 2009 08:49:17 -0800 (PST)

---

From: Sri Gundavelli <[email-masked]>
Date: Sun, 25 Jan 2009 10:35:57 -0800 (PST)

Hi Behcet,

Yes, that is the registry for ATT that should have been referenced.

Sri

On Fri, 23 Jan 2009, Behcet Sarikaya wrote:

> Hi Hui,
>   Access technology type values are registered at IANA website at:
> http://www.iana.org/assignments/mobility-parameters
> Sri can answer the other questions you have.
>
> Regards,
>
> Behcet
>
>
>
>
> ________________________________
> From: Hui Deng <[email-masked]>
> To: Sri Gundavelli <[email-masked]>
> Cc: [email-masked]
> Sent: Thursday, January 22, 2009 4:52:41 AM
> Subject: [Mip4] Questions on draft-gundavelli-mip4-multiple-tunnel-support-00
>
>
> Hi, Sri,
>
> I have several questions regarding to your draft.
>
> 1) will you use the same AE between HA and MN on different interfaces?
> 2) how do you generate a label for each interface?
> 3) Where does the access Technology Type Registry is defined?
> 4) why don't allow mobile node use multiple interface when one of it stay at home?
>
> thanks
>
> -Hui
>
>
> 2009/1/20 Sri Gundavelli <[email-masked]>
>
> Hi George,
>
> Sorry for the late reply. Please see inline.
>
>
>
> On Wed, 14 Jan 2009, George Tsirtsis wrote:
>
>
> Hi Sri,
>
> I just had a look at the draft.
> Since I was not in the last IETF meeting could you summarize what the
> plan is with this draft? Is this something the WG considers taking up?
>
>
> I hope so. That's the plan and there is interest. We need this for
> our mobile router deployments.
>
>
>
>
> If yes, I think it would be useful to spell out what the scope of this
> work is in comparison to the equivalent work in the MEXT (i.e., MCoA
> and Flow Movement). I did this early on for DSMIPv4 and it helped
> things significantly.
>
>
> Ok. The problem statement between MCOA4 and MCOA6 is similar. The
> ability for the mobile to setup multiple tunnels to the home agent
> through different interfaces, is largely same. The presence of foreign
> agent/types of registrations, NAT presence introduces some differences
> and issues.
>
>
>
>
> BTW, I am not sure I like the whole notion of 'Interface bandwidth".
> This is something notoriously difficult to set right and make sense
> of, especially on wireless links. Instead the rough link priority
> adopted in MIPv6-MCoA is easier to deal with and should satisfy your
> needs, without turning this into a QoS protocol...which would be a
> nightmare..
>
>
>
> The draft is exposing the information about the interface through which
> a mobile node is attached and marks the binding associated with this
> attach. The interface type (WiMAX, WiFI, LTE ..etc) will definetly provide
> a sufficient hint for the home agent. In some radio environments, if
> the link bandwidth is predictable, it can certainly expose the same to
> the home agent. I agree with you that its not always predictable, hence
> it is optional, making it useful only when present. The exposed parameters
> are sufficient for the tunnel peers to build efficient traffic policies
> and leverage the links in a much more efficient manner.
>
> Sri
>
>
>
>
>
>
>
>
> Regards
> George
>
> On Wed, Dec 10, 2008 at 3:25 AM, Sri Gundavelli <[email-masked]> wrote:
>
>
> Please comment on this work item. We presented this
> at Minneapolis.
>
>
> Sri
>
>
> ---------- Forwarded message ----------
> Date: Mon,  8 Dec 2008 00:51:42 -0800 (PST)
> From: IETF I-D Submission Tool <[email-masked]>
> To: [email-masked]
> Cc: [email-masked]
> Subject: New Version Notification for
>   draft-gundavelli-mip4-multiple-tunnel-support-00
>
>
> A new version of I-D, draft-gundavelli-mip4-multiple-tunnel-support-00.txt
> has been successfuly submitted by Sri Gundavelli and posted to the IETF
> repository.
>
> Filename:        draft-gundavelli-mip4-multiple-tunnel-support
> Revision:        00
> Title:           Multiple Tunnel Support for Mobile IPv4
> Creation_date:   2008-12-08
> WG ID:           Independent Submission
> Number_of_pages: 17
>
> Abstract:
> This document defines extensions to Mobile IPv4 protocol for allowing
> a mobile node or a mobile router with multiple interfaces to register
> a care-of address for each of the available interfaces and to
> simultaneously establish multiple Mobile IP tunnels to the home
> agent, each through a different interface path.  This capability is
> required for enabling a mobile node to utilize all the available
> wireless access links and build an higher aggregated data pipe to the
> home agent by setting the home address reachability over all of those
> tunnel paths.
>
>
>
> The IETF Secretariat.
>
>
> --

---

From: Sri Gundavelli <[email-masked]>
Date: Sun, 25 Jan 2009 10:47:20 -0800 (PST)

Hi Hui,

Thanks for the review. Please see inline.

Auth extension ? Sure, the Security association however keyed
using HoA or NAI, will remain the same. The AE will be generated
for each of the RRQ sent.

> 2) how do you generate a label for each interface?

We currently allow the IfType and the Binding Id. We should probably
allow the label to be specified as well, our implementation uses
the explicit labels. Typically, the label is configured as part
of configuring the roaming interface on the mobile router. Each
of the selected roaming interfaces can be given a explicit label.

> 3) Where does the access Technology Type Registry is defined?

ATT registry

> 4) why don't allow mobile node use multiple interface when one of it stay at home?

This can be fixed. Initial thoughts were that this may not be so useful,
but will fix it in the next rev, for simultaneous home and roam support.

Regards
Sri